package de.effigenix.domain.production;

import de.effigenix.shared.common.RepositoryError;
import de.effigenix.shared.common.Result;

import java.util.List;
import java.util.Optional;

public interface ProductionOrderRepository {

    Result<RepositoryError, Optional<ProductionOrder>> findById(ProductionOrderId id);

    Result<RepositoryError, List<ProductionOrder>> findAll();

    Result<RepositoryError, Void> save(ProductionOrder productionOrder);
}
